Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. Files
  • Actions
    • POST (create) an action
      POST
    • POST (create) a reports action/generate a report
      POST
  • ArItems
    • GET a list of AR items
      GET
    • PUT (update) ar item details
      PUT
    • GET one AR item
      GET
  • AutoPostings
    • POST (create) one or more auto postings
      POST
  • Batches
    • GET one batch
      GET
  • ClientConfigs
    • GET a list of client config values
      GET
    • GET values for one client config key
      GET
  • Codes
    • GET ARM system code values
      GET
  • Customers
    • POST (create) one customer
      POST
    • PUT (update) one customer
      PUT
    • GET a list of customers
      GET
    • GET one customer
      GET
    • DELETE a customer
      DELETE
    • POST (create) a batch of customers
      POST
    • PUT (update) a batch of customers
      PUT
  • DocumentBundles
    • GET a list of document bundles
      GET
    • GET one document bundle
      GET
  • Documents
    • POST (create) one document
    • GET a list of documents
    • GET one document
    • POST (create) a batch of documents
  • Files
    • GET one or more OS files
      GET
    • POST (upload) one or more OS files
      POST
    • GET one OS file
      GET
  • GlItems
    • Get one GL item
    • GET a list of GL items
  • GlMovements
    • Get movement/balance for the latest closed GL year/period
    • GET a list of GL movements/balances
  • Insights
    • GET a list of ADB intervals
  • LogItems
    • GET one log item
    • GET a list of log items
  • PaymentReservations
    • POST (create) a new payment reservation
  • Health
    • Check API health
  1. Files

GET one or more OS files

GET
/clients/{clientno}/files
Get (download) one or more OS files based on input query parameters. If you input a logItemId or a combination of parameters with one specific file name, you will only get one file in return. If you query for instance attachment files for a given referenceNo, you can get more than one file in return. Maximum count of files delivered is always 10 (cannot be altered). Output data are not paginated

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Query Params

Responses

🟢200
application/json
OS files found
Body

🟠400BadRequest
🟠403Forbidden
🟠404NotFound
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/clients//files?logitemid&type&name&referenceno&jobqueueid&documentno&serialize&regenerate' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Files
{
    "summary": {
        "totalCount": 2,
        "maximumCount": 10
    },
    "files": [
        {
            "clientNo": 2218,
            "name": "Attachment1.png",
            "extension": "png",
            "logItemId": 0,
            "arAccountNo": 500002,
            "referenceNo": 350023,
            "type": "DocAttachment",
            "serialize": "",
            "description": "Document attachment",
            "externalMemo": "",
            "content": "VGhpcyBpcyBhbiBleGFtcGxl"
        },
        {
            "clientNo": 2218,
            "name": "Attachment2.png",
            "extension": "png",
            "logItemId": 0,
            "arAccountNo": 500002,
            "referenceNo": 350023,
            "type": "DocAttachment",
            "serialize": "",
            "description": "Document attachment",
            "externalMemo": "DBcyBpcyBhbiBlekaldskdj8Y34",
            "content": ""
        }
    ]
}
Modified at 2026-04-14 09:49:15
Previous
POST (create) a batch of documents
Next
POST (upload) one or more OS files
Built with